CREATE TABLE RANGE_VALUE (
  ID_RANGE_VALUE NUMBER,
  REFERENCE VARCHAR2(3 CHAR),
  RANGE_FROM VARCHAR2(10 CHAR),
  RANGE_TO VARCHAR2(10 CHAR),
  INCLUDE_FROM VARCHAR2(1 CHAR),
  INCLUDE_TO VARCHAR2(1 CHAR),
  VALUE VARCHAR2(10 CHAR),
  SORT NUMBER,
  ACT VARCHAR2 (1 CHAR),
  CONSTRAINT RANGE_VALUE_PK PRIMARY KEY (ID_RANGE_VALUE)
);

CREATE SEQUENCE RANGE_VALUE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE RANGE_REFERENCE (
  SIFRA VARCHAR2(3 CHAR),
  OPIS VARCHAR2(100 CHAR),
  INTERNI_OPIS VARCHAR2(100 CHAR),
  CONSTRAINT RANGE_REFERENCE_PK PRIMARY KEY (SIFRA)
);

INSERT INTO RANGE_REFERENCE(SIFRA, OPIS, INTERNI_OPIS) 
VALUES ('TBL', 'Top sides boat length', 'Top sides boat length');

CREATE OR REPLACE VIEW V_RANGE_VALUE AS (
SELECT RV.ID_RANGE_VALUE, RV.REFERENCE, RV.RANGE_FROM, RV.RANGE_TO, RV.INCLUDE_FROM, RV.INCLUDE_TO, RV.VALUE, RV.SORT, RV.ACT,
NR.OPIS AS REFERENCE_OPIS, NR.INTERNI_OPIS AS REFERENCE_INTERNI_OPIS
FROM RANGE_VALUE RV
LEFT JOIN RANGE_REFERENCE NR ON RV.REFERENCE = NR.SIFRA
);

CREATE TABLE MATH_FORMULA (
  ID_MATH_FORMULA NUMBER,
  DESCRIPTION VARCHAR2(100 CHAR),
  FORMULA VARCHAR2(300 CHAR),
  ACT VARCHAR2 (1 CHAR),
  CONSTRAINT MATH_FORMULA_PK PRIMARY KEY (ID_MATH_FORMULA)
);

CREATE SEQUENCE MATH_FORMULA_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE NNTIP
ADD UNDERWATER_HULL_FORMULA NUMBER;

ALTER TABLE NNTIP
ADD TOP_SIDES_FORMULA NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1204, SYSDATE, '5.5', 1124, 'Range value in formula')
;