DROP VIEW V_FB_ORDER;

CREATE OR REPLACE VIEW V_FB_ORDER
AS (
SELECT FO.ID_FB_ORDER, FO.ORDER_NUMBER, FO.ID_FB_TABLE, FO.ID_LASTNIKA, FO.ID_STATUS, FO.DATE_FROM, FO.DATE_TO, FO."COMMENT", FO.DATE_CREATED, FO.USER_CREATED, FO.ID_FB_RESERVATION,
FT.ID_FB_LOCATION, FT.DESCRIPTION AS TABLE_DESCRIPTION, FL.DESCRIPTION AS AREA_DESCRIPTION, FOS.DESCRIPTION AS STATUS_DESCRIPTION, FOS.COLOR AS STATUS_COLOR, FOS.TEXT_COLOR AS STATUS_TEXT_COLOR, U.USER_ AS USER_NAME,
KUP.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER
FROM FB_ORDER FO
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FO.ID_FB_TABLE
LEFT OUTER JOIN FB_LOCATION FL ON FL.ID_FB_LOCATION = FT.ID_FB_LOCATION
LEFT OUTER JOIN FB_ORDER_STATUS FOS ON FOS.ID_FB_ORDER_STATUS = FO.ID_STATUS
LEFT OUTER JOIN NUSER U ON U.NUSER = FO.USER_CREATED
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FO.ID_LASTNIKA
);

CREATE TABLE PLANNER_TYPE_SERVICE (
ID_PLANNER_TYPE_SERVICE NUMBER NOT NULL,
PLANNER_TYPE_CODE VARCHAR2(10 CHAR),
SERVICE_CODE VARCHAR2(6 CHAR),
CONSTRAINT PLANNER_TYPE_SERVICE_PK PRIMARY KEY (ID_PLANNER_TYPE_SERVICE),
CONSTRAINT PTS_PLANNER_TYPE_CODE_FK FOREIGN KEY (PLANNER_TYPE_CODE) REFERENCES VRSTA_NAJAVE(SIFRA),
CONSTRAINT PTS_SERVICE_CODE_FK FOREIGN KEY (SERVICE_CODE) REFERENCES M_NNSTOMAR(SIFRA)
);

CREATE INDEX IX_PTS_PLANNER_TYPE_CODE ON PLANNER_TYPE_SERVICE (PLANNER_TYPE_CODE);
CREATE INDEX IX_PTS_SERVICE_CODE ON PLANNER_TYPE_SERVICE (SERVICE_CODE);

CREATE SEQUENCE PLANNER_TYPE_SERVICE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

UPDATE M_STORITVE
SET SORT = 0
WHERE SORT IS NULL;

UPDATE M_VZORCI_PS
SET SORT = 0
WHERE SORT IS NULL;

UPDATE M_NNSTOMAR
SET SORT = 0
WHERE SORT IS NULL;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1647, SYSDATE, '5.5', 1567, 'FB order')
;