ALTER TABLE QUESTIONNAIRE
ADD DATA_PROXY VARCHAR2(1 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD ID_WEB_TEMPLATE_VALIDATION NUMBER
CONSTRAINT QUEST_TEMPLATE_VALIDATION_FK REFERENCES WEB_PAGE_TEMPLATE(ID_WEB_PAGE_TEMPLATE);

ALTER TABLE QUESTIONNAIRE
ADD ID_QUERY_VALIDATION NUMBER
CONSTRAINT QUEST_QUERY_VALIDATION_FK REFERENCES QUERY(ID_QUERY);

ALTER TABLE QUESTIONNAIRE
ADD REPORT_FILE_DESTINATION_TABLE VARCHAR2(100 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD REPORT_FILE_TYPE VARCHAR2(3 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD REPORT_FILE_ID VARCHAR2(200 CHAR);

ALTER TABLE QUESTION
ADD FILE_ID VARCHAR2(200 CHAR);

ALTER TABLE DATOTEKE_PLOVIL
ADD FILE_ID VARCHAR2(200 CHAR);

ALTER TABLE DATOTEKE_KUPCEV
ADD FILE_ID VARCHAR2(200 CHAR);

DROP VIEW V_QUESTIONNAIRE_ANSWER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER, QA.FILENAME, QA.FILE_REFERENCE,QA.SEQUENCE_NUMBER,
  Q.NAME AS QUESTION_NAME, Q.QUESTION AS QUESTION_QUESTION, Q.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, Q.TYPE AS QUESTION_TYPE, 
  Q.MAP_TABLE_NAME, Q.MAP_COLUMN_NAME, Q.TAG_ID AS QUESTION_TAG_ID, Q.FILE_TYPE AS QUESTION_FILE_TYPE, Q.FILE_ID AS QUESTION_FILE_ID,
  QAM.ID_MARINA_EVENT AS ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS AS STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, 
  SQ.SORT, SQ.INPUT_REQUIRED, SE.REPEATABLE_QUESTIONS AS SECTION_REPEATABLE_QUESTIONS
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT OUTER JOIN QUESTION Q ON Q.ID = QA.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
  LEFT OUTER JOIN SECTION SE ON SE.ID = SQ.ID_SECTION
);


DROP VIEW V_SECTION_QUESTION;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, SQ.DISABLE_AFTER_INSERT, SQ.PORTAL, SQ.DISABLE_EMPTY_SELECTION, SQ.SPLIT_CAPTION, SQ.CHANGE_TO_UPPERCASE,
    SQ.WIDTH, SQ.HEIGHT,
  QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, 
  QU.SOURCE_TABLE_ACTIVE_COLUMN AS QUESTION_SRC_TBL_ACTIVE_COLUMN, QU.SOURCE_TABLE_ORDER_COLUMN AS QUESTION_SRC_TBL_ORDER_COLUMN,
  QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE, QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, 
  QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE, QU.ID_QUERY_QUESTION AS QUESTION_ID_QUERY_QUESTION, QU.MAP_TABLE_NAME AS QUESTION_MAP_TABLE_NAME, QU.MAP_COLUMN_NAME AS QUESTION_MAP_COLUMN_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2026, SYSDATE, '5.5', 1946, 'Questionnaire')
;
